Pregunta sobre Duplicator - WordPress Migration Plugin de Wordpress:

No funciona con open_basedir habilitado

Un usuario pregunt贸 馃憞

Este plugin no funcionar谩 si se define open_basedir. Incluso si open_basedir est谩 correctamente definido para la cuenta.

(@corylamleorg)

Hace 2 a帽os, 8 meses

Hola @mscott,

Aqu铆 hay algunos detalles sobre ese sitio:

– 驴Qu茅 es PHP Open Base Dir o 鈥渞estricci贸n open_basedir implementada鈥? – https://snapcreek.com/duplicator/docs/faqs-tech/#faq-trouble-065-q

Si eso a煤n no funciona, puede contactar a su anfitri贸n y ver si tiene alguna otra configuraci贸n que impida que PHP funcione normalmente. Hemos visto en muchos otros hosts que la configuraci贸n est谩 habilitada y que el plugin a煤n funciona sin problemas.

Gracias

Lanzador de hilos

(@mscott)

Hace 2 a帽os, 8 meses

驴Qu茅 otras configuraciones evitar铆an que PHP funcione normalmente?

(@corylamleorg)

Hace 2 a帽os, 8 meses

Es dif铆cil distinguir otras herramientas de alojamiento como suhosin o crear sus propios filtros de seguridad personalizados alrededor de open_base dir. La 煤nica forma de saberlo es preguntando. El plugin funciona bien en cientos de hosts, por lo que parece haber algo espec铆fico en este host que impide que funcione.

Espero que ayude ~

Lanzador de hilos

(@mscott)

Hace 2 a帽os, 8 meses

驴Por qu茅 Open_basedir entra en conflicto con este plugin? 驴Qu茅 est谩 tratando de hacer que requiere una seguridad laxa?

Open_basedir no requiere tanto escrutinio de ning煤n otro script o plugin.

(@corylamleorg)

Hace 2 a帽os, 8 meses

Hola @mscott,

Deber谩 ponerse en contacto con su anfitri贸n y preguntarle c贸mo lo est谩n utilizando. El plugin infringe open_basedir si su host restringe el acceso a los archivos que el plugin est谩 intentando respaldar. Aparentemente, si intenta comprimir un archivo en su computadora local y la utilidad zip no puede leer uno de los archivos debido a la restricci贸n de permisos.

El plugin no est谩 haciendo nada que requiera poca seguridad. Su anfitri贸n ha establecido que su entorno es tal que el proceso de usuario de PHP que se est谩 utilizando no tiene acceso a los archivos que necesita para crear un paquete. Es un caso muy raro, pero hay algunos hosts que optan por proteger esta ruta contra t茅cnicas de seguridad m谩s modernas.

Puedes ver m谩s detalles sobre la gu铆a aqu铆:
http://php.net/manual/en/ini.core.php#ini.open-basedir

Espero que ayude ~

Lanzador de hilos

(@mscott)

Hace 2 a帽os, 8 meses

En realidad soy el anfitri贸n. Y no tengo idea de por qu茅 se debe acceder a una cuenta fuera de su 谩rea de usuario y esa 谩rea de usuario est谩 definida en open_basedir.

Realmente parece que el plugin solo est谩 verificando si open_basedir est谩 arreglado y, si lo est谩, est谩 haciendo un esc谩ndalo.

(@corylamleorg)

Hace 2 a帽os, 8 meses

S铆, eso es correcto seg煤n el mensaje:

Pueden surgir preguntas cuando [open_basedir] activado. Trabaje con el administrador del servidor para deshabilitar este valor en el archivo php.ini si tienes problemas construir un paquete

Tenga en cuenta tambi茅n que el esc谩ner indica lo siguiente:

No es necesario aprobar las comprobaciones de escaneo, sin embargo, pueden causar problemas en algunos sistemas. Revise los detalles de cada secci贸n haciendo clic en el t铆tulo del detalle.

No se requieren controles de escaneo, pero s铆 notificaciones si los usuarios tienen problemas con la compilaci贸n.

El plugin no tiene acceso fuera del sitio de WP del usuario. Solo lee WP var ABSPATH, que devuelve la ruta en la que est谩 alojado el sitio WP.

驴Tiene problemas para crear un paquete?

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *